Global

	.asctable
32		=	207
33		=	174
37		=	189
40		=	187
41		=	188
42		=	191
43		=	186
45		=	180
46		=	181
47		=	176
58		=	177
63		=	175
"A".."Z"        =       112
"a".."z"        =       138
"0".."9"        =       164
126		=	190
	.end


; definicin para compilar una versin PAL y otra NTSC diferente
PAL_VERSION			equ	1


; primer valor de la tabla que representa a un DTE
FIRST_PARS			equ	$90

; inicio de la primera letra en la tabla 16x16 y en la tabla 8x8
FIRST_TABLE_16x16		equ	$20
FIRST_TABLE_8x8			equ	$70
DIFF_TABLE_8x8			equ	FIRST_TABLE_8x8-FIRST_TABLE_16x16

; direccin de ROM donde empieza la tabla que contiene las letras de cada DTE
DTE_TABLE			equ	$C0DFA0

; direccin de ROM donde estn los 32 estados de batalla posibles, de 10 letras cada uno
BATTLE_STATUS_TEXT		equ	$C2ADE1

; direccin base de ROM donde est el texto de las entradas MTE para los comandos $1C al $1F
MTE_BASE_ADDRESS		equ	$C4A940
MTE_$1C_START			equ	0
MTE_$1D_START			equ	256*3
MTE_$1E_START			equ	256*7
MTE_$1F_START			equ	256*12


; direccin donde empieza la tabla de punteros al texto
TEXT_POINTER_TABLE		equ	$CCE602

; direccin donde empiezan los nombres por defecto de los personajes (64 nombres de 6 letras cada uno)
HERO_NAME_TEXT_START_ADDRESS	equ	$C478C0

; direccin de ROM donde estn las tiles de la fuente de ancho fijo 8x8 para los mens
FUENTE_FIXED			equ	$C48040
FUENTE_FIXED_FIRST_CHAR		equ	FUENTE_FIXED+104*16

; direccin donde empieza la tabla de anchura de cada letra de la fuente VWF
CHARACTER_WIDTH			equ	FUENTE_FIXED+248*16

; direccin de ROM donde estn las tiles de la fuente completa de ancho variable
FUENTE_VWF_FIRST_CHAR		equ	CHARACTER_WIDTH+256
FUENTE_VWF			equ	FUENTE_VWF_FIRST_CHAR-32*28


; offset desde la letra 'A' de la tabla de caracteres donde empiezan los nmeros
NUMERO_0			equ	$34

; valor de la tabla de caracteres con el espacio en blanco
ESPACIO				equ	$5F

; direccin de inicio en el banco $7E del buffer de texto para extraer diccionarios
TEXT_BUFFER			equ	$7E9183

; direccin de la tabla de punteros a los nombres de ciudades
CITY_POINTER_TABLE		equ	$e68400
CITY_START_ADDRESS		equ	$CEF100

; direccin de comienzo del nombre de los items raros (20 elementos de 13 bytes cada uno)
; originalmente era $CEFBA0
RARE_ITEM_NAME_START_ADDRESS	equ	$CEFB60
RARE_ITEM_NAME_LENGTH		equ	13

; direccin de la tabla de punteros a la descripcin de los items raros
; opriginalmente los punteros estaban en $CEFB60 y el texto empezaba en $CEFCB0
RARE_ITEM_POINTER_TABLE		equ	RARE_ITEM_NAME_START_ADDRESS+20*RARE_ITEM_NAME_LENGTH
RARE_ITEM_START_ADDRESS		equ	RARE_ITEM_POINTER_TABLE+2*20

; direccin de comienzo del nombre de los ataques con espada (12 bytes cada uno) (originalmente $CF3C40)
SWDTECH_TEXT_START_ADDRESS	equ	$CF3940
SWDTECH_TEXT_LENGTH		equ	12

; direccin de la tabla de punteros a la descripcin de los espers (inicio del texto en $CF3940)
ESPER_DESC_POINTER_TABLE	equ	$CFFE40
ESPER_DESC_START_ADDRESS	equ	SWDTECH_TEXT_START_ADDRESS+8*12

; direccin de comienzo del nombre de los enemigos (384 entradas de 10 bytes cada una originalmente en $CFC050)
ENEMY_NAME_TEXT_START_ADDRESS	equ	$CFC050
ENEMY_NAME_TEXT_LENGTH		equ	10

; direccin de comienzo del nombre de ataques enemigos (384 entradas de 10 bytes cada una originalmente en $CFD0D0)
ENEMY_TECH_TEXT_START_ADDRESS	equ	ENEMY_NAME_TEXT_START_ADDRESS+384*11
ENEMY_TECH_TEXT_LENGTH	equ	10

; direccin de punteros y texto a los dilogos durante la batalla (BANCO 1 -> 256 entradas)
; originalmente los punteros en $CFDFE0 y los dilogos donde acaban los punteros ($CFE1E0)
BATTLE_DLG_POINTER_TABLE_0	equ	ENEMY_TECH_TEXT_START_ADDRESS+384*10
BATTLE_DLG_START_ADDRESS_0	equ	BATTLE_DLG_POINTER_TABLE_0+2*256

; direccin de comienzo de los bonus de cada esper al subir de nivel (17 elementos de 10 bytes cada uno)
ESPER_BONUS_DESC_START_ADDRESS	equ	$CFFEAE

; direccin de punteros y texto a la descripcin de los Blitz (8 entradas)
; originalmente los punteros en $CFFF9E y los dilogos donde acaban los punteros ($CFFC00)
BLITZ_DESC_POINTER_TABLE	equ	ESPER_BONUS_DESC_START_ADDRESS+17*10
BLITZ_DESC_START_ADDRESS	equ	$CFFC00

; direccin de punteros y texto a la descripcin de las tcnicas con la espada (8 entradas)
; originalmente los punteros en $CFFF9E y los dilogos donde acaban los punteros ($CFFC00)
SWDTECH_DESC_POINTER_TABLE	equ	BLITZ_DESC_POINTER_TABLE+8*2
SWDTECH_DESC_START_ADDRESS	equ	$cffccc

; direccin de punteros y texto a los dilogos durante la batalla (BANCO 2 -> 256 entradas)
; originalmente los punteros en $D0D000 y los dilogos donde acaban los punteros ($D0D200)
BATTLE_DLG_POINTER_TABLE_1	equ	$D0D000
BATTLE_DLG_START_ADDRESS_1	equ	BATTLE_DLG_POINTER_TABLE_1+2*256


; direccin de la tabla de punteros a los mensajes de batalla
BATTLE_MSG_POINTER_TABLE	equ	$D1F7A0
BATTLE_MSG_START_ADDRESS	equ	$D1F000

; direccin de comienzo del texto de los tipos de armas (32 elementos de 7 bytes cada uno)
ITEM_TYPE_TEXT_START_ADDRESS	equ	$D26F00
ITEM_TYPE_TEXT_LENGTH		equ	8

; direccin de comienzo del texto de los items (13 bytes cada uno)
ITEM_TEXT_START_ADDRESS		equ	$D2B300
ITEM_TEXT_LENGTH		equ	13

; direccin de comienzo del nombre de los comandos de batalla (originalmente $D8CEA0)
BATTLE_COMMAND_START_ADDRESS	equ	$D8C9A0
BATTLE_COMMAND_LENGTH		equ	7

; direccin de la tabla de punteros a la descripcin de los hechizos (originalmente $D8CF80)
SPELL_DESC_POINTER_TABLE	equ	BATTLE_COMMAND_START_ADDRESS+32*BATTLE_COMMAND_LENGTH
SPELL_DESC_START_ADDRESS	equ	SPELL_DESC_POINTER_TABLE+64*2


; direccin de comienzo del texto de las magias negras (originalmente 7 bytes cada uno)
MAGIC_TEXT_LENGTH		equ	8
BLACKMAGIC_TEXT_START_ADDRESS	equ	$E6F567
EFFECTMAGIC_TEXT_START_ADDRESS	equ	BLACKMAGIC_TEXT_START_ADDRESS+24*MAGIC_TEXT_LENGTH
WHITEMAGIC_TEXT_START_ADDRESS	equ	EFFECTMAGIC_TEXT_START_ADDRESS+21*MAGIC_TEXT_LENGTH

; direccin de comienzo del nombre de los espers (8 bytes cada uno)
ESPER_TEXT_LENGTH		equ	8
ESPER_TEXT_START_ADDRESS	equ	WHITEMAGIC_TEXT_START_ADDRESS+9*MAGIC_TEXT_LENGTH

; direccin de comienzo del nombre de los ataques (5 elementos de 10 bytes cada uno)
SKEAN_ATTACK_TEXT_START_ADDRESS	equ	ESPER_TEXT_START_ADDRESS+27*8

; direccin de comienzo del nombre de los blitz (8 elementos de 10 bytes cada uno)
BLITZ_TEXT_START_ADDRESS	equ	SKEAN_ATTACK_TEXT_START_ADDRESS+5*10

; direccin de comienzo de los nombres de los ataques de baile Mog (24 items de 10 bytes cada uno)
DANCE_ATTACK_TEXT_START_ADDRESS	equ	BLITZ_TEXT_START_ADDRESS+8*10

; direccin de comienzo de los nombres de los ataques de suerte (6 items de 10 bytes cada uno)
SLOT_ATTACK_TEXT_START_ADDRESS	equ	DANCE_ATTACK_TEXT_START_ADDRESS+24*10

; direccin de comienzo de los nombres de los ataques Magitek (8 items de 10 bytes cada uno)
MAGITEK_TEXT_START_ADDRESS	equ	SLOT_ATTACK_TEXT_START_ADDRESS+6*10

; direccin de comienzo de los nombres de los ataques de Sabidura (24 items de 10 bytes cada uno)
LORE_ATTACK_TEXT_START_ADDRESS	equ	MAGITEK_TEXT_START_ADDRESS+8*10

; direccin de comienzo de los nombres de los ataques enemigos (77 items de 10 bytes cada uno)
ENEMY_ATTACK_TEXT_START_ADDRESS	equ	LORE_ATTACK_TEXT_START_ADDRESS+24*10

; direccin de comienzo de los nombres de los ataques a la desesperada (12 items de 10 bytes cada uno)
DESPERATION_TEXT_START_ADDRESS	equ	ENEMY_ATTACK_TEXT_START_ADDRESS+77*10

; direccin de comienzo de los nombres de los ataques miscelneos (4 items de 10 bytes cada uno)
MISC_ATTACK_TEXT_START_ADDRESS	equ	DESPERATION_TEXT_START_ADDRESS+12*10

; direccin de comienzo de los nombres de los ataques de espers (27 items de 10 bytes cada uno)
ESPER_ATTACK_TEXT_START_ADDRESS	equ	MISC_ATTACK_TEXT_START_ADDRESS+4*10

; direccin de comienzo de los nombres de los bailes de Mog (8 items de 12 bytes cada uno)
MOG_DANCE_TEXT_START_ADDRESS	equ	ESPER_ATTACK_TEXT_START_ADDRESS+27*10



; direccin de punteros y texto a la descripcin de los items (256 entradas)
; originalmente los punteros en $ED7AA0 y el texto en s en $ED6400
ITEM_DESC_POINTER_TABLE		equ	$ED6400
ITEM_DESC_START_ADDRESS		equ	ITEM_DESC_POINTER_TABLE+256*2

; direccin de punteros y texto a la descripcin de los Lore (24 entradas)
; originalmente los punteros en $ED7A70 y el texto en s en $ED77A0
; PARMETRO DE ESCRITURA DESDE LA APLICACIN
LORE_DESC_POINTER_TABLE		equ	$ed751b
LORE_DESC_START_ADDRESS		equ	LORE_DESC_POINTER_TABLE+24*2


; direccin de la tabla de punteros a la descripcin de los bonus de los Espers
; originalmente los punteros en $EDFFD0 y el texto en s en $EDFE00
ESPER_L_BONUS_POINTER_TABLE	equ	$EDFE00
ESPER_L_BONUS_START_ADDRESS	equ	ESPER_L_BONUS_POINTER_TABLE+24*2


; direccin de ROM donde est la fuente comprimida para los crditos del final
FINAL_SCENE_CHARACTER_FONT	equ	$C4BA00



TABLE_$C2FC6D		EQU	$C2FC6D
TABLE_$C29894		EQU	$C29894
TABLE_$C298A0		EQU	$C298A0
TABLE_$C298B4		EQU	$C298B4
TABLE_$C298CC		EQU	$C298CC
TABLE_$C298E4		EQU	$C298E4
TABLE_$C298FC		EQU	$C298FC
TABLE_$C29908		EQU	$C29908
TABLE_$C29918		EQU	$C29918
TABLE_$C29930		EQU	$C29930
TABLE_$C29950		EQU	$C29950
TABLE_$C29968		EQU	$C29968
TABLE_$C29980		EQU	$C29980
TABLE_$C29990		EQU	$C29990
TABLE_$C299A0		EQU	$C299A0
TABLE_$C299B4		EQU	$C299B4
TABLE_$C299D8		EQU	$C299D8
TABLE_$C299FC		EQU	$C299FC
TABLE_$C29A20		EQU	$C29A20
TABLE_$C29A34		EQU	$C29A34
TABLE_$C29A48		EQU	$C29A48
TABLE_$C29A58		EQU	$C29A58
TABLE_$C29A70		EQU	$C29A70
TABLE_$C29A88		EQU	$C29A88
TABLE_$C29AAC		EQU	$C29AAC
TABLE_$C29AC4		EQU	$C29AC4
TABLE_$C29ADC		EQU	$C29ADC
TABLE_$C29AF4		EQU	$C29AF4
TABLE_$C29B1C		EQU	$C29B1C
TABLE_$C29B44		EQU	$C29B44
TABLE_$C29B68		EQU	$C29B68
TABLE_$C29B88		EQU	$C29B88
TABLE_$C29BA0		EQU	$C29BA0
TABLE_$C29BB4		EQU	$C29BB4
TABLE_$C29BD8		EQU	$C29BD8
TABLE_$C29BF0		EQU	$C29BF0
TABLE_$C29C08		EQU	$C29C08
TABLE_$C29C1C		EQU	$C29C1C
TABLE_$C29C30		EQU	$C29C30
TABLE_$C29C44		EQU	$C29C44
TABLE_$C29C4C		EQU	$C29C4C
TABLE_$C29CAC		EQU	$C29CAC
TABLE_$C29CEC		EQU	$C29CEC
TABLE_$C29D50		EQU	$C29D50
TABLE_$C29DC0		EQU	$C29DC0
TABLE_$C29DC4		EQU	$C29DC4
TABLE_$C29DEC		EQU	$C29DEC
TABLE_$C29E04		EQU	$C29E04
TABLE_$C29E24		EQU	$C29E24
TABLE_$C29E48		EQU	$C29E48
TABLE_$C29F2C		EQU	$C29F2C
